/*importing d3 functions using es6*/
import {select ,arc} from 'd3';

const svg = select('svg');
/*svg.style('background-color' , 'red');*/

const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));
const eyeSpacing = 100;
const eyeYoffset = -70;
const eyeBrowWidth = 70;
const eyeBrowHeight = 15;
const eyeBrowYoffset = -60;

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);
const circle = g
	.append('circle')
		.attr('r',height/2)
		.attr('fill','yellow')
		.attr('stroke','black')
	;
const eyesG = g.append('g')
	.attr('transform', `translate(0, ${eyeYoffset})`);
const leftEye = eyesG
	.append('circle')
		.attr('r',30)
		.attr('cx',-eyeSpacing);

const rightEye = eyesG
	.append('circle')
		.attr('r',30)
		.attr('cx',+eyeSpacing);

const eyeBrowsG = eyesG.append('g')
	.attr('transform', `translate(0, ${eyeYoffset})`);
eyeBrowsG
	.transition().duration(2000)
      .attr('transform', `translate(0, ${eyeYoffset-50})`)
		.transition().duration(2000)
      .attr('transform', `translate(0, ${eyeYoffset})`);
const leftEyeBrow = eyeBrowsG
  .append('rect')
    .attr('x',-eyeSpacing-eyeBrowWidth/2)
    .attr('y',eyeBrowYoffset)
    .attr('width' ,eyeBrowWidth)
    .attr('height' ,eyeBrowHeight);
		
const rightEyeBrow = eyeBrowsG
  .append('rect')
    .attr('x',eyeSpacing-eyeBrowWidth/2)
    .attr('y',eyeBrowYoffset)
    .attr('width' ,eyeBrowWidth)
    .attr('height' ,eyeBrowHeight)
	;

const mouth = g
	.append('line')
    .attr ('x1' ,-100)
		.attr('y1',70)
		 .attr ('x2' ,100)
		.attr('y2',70)
		.attr('stroke','black')
		.attr('stroke-width' ,20);